- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRInternalStream Class Reference

`#include <CDRInternalStream.h>`

Inheritance diagram for libcdr::CDRInternalStream:

## Public Member Functions
| CDRInternalStream (WPXInputStream *input, unsigned long size, bool compressed=false)
| CDRInternalStream (const std::vector< unsigned char > &buffer)
| ~CDRInternalStream ()
bool | isOLEStream ()
WPXInputStream * | getDocumentOLEStream (const char *)
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
int | seek (long offset, WPX_SEEK_TYPE seekType)
long | tell ()
bool | atEOS ()
unsigned long | getSize () const

## Private Member Functions
| CDRInternalStream (const CDRInternalStream &)
CDRInternalStream & | operator= (const CDRInternalStream &)

## Private Attributes
volatile long | m_offset
std::vector< unsigned char > | m_buffer

## Constructor & Destructor Documentation

libcdr::CDRInternalStream::CDRInternalStream | ( | WPXInputStream * | input,
|  | unsigned long | size,
|  | bool | compressed = `false`
| ) |  |

libcdr::CDRInternalStream::CDRInternalStream | ( | const std::vector< unsigned char > & | buffer | ) |

libcdr::CDRInternalStream::~CDRInternalStream | ( |  | ) |
| inline

libcdr::CDRInternalStream::CDRInternalStream | ( | const CDRInternalStream & |  | ) |
| private

## Member Function Documentation

bool libcdr::CDRInternalStream::atEOS | ( |  | ) |

Referenced by libcdr::CDRParser::parseRecord().

WPXInputStream* libcdr::CDRInternalStream::getDocumentOLEStream | ( | const char * |  | ) |
| inline

unsigned long libcdr::CDRInternalStream::getSize | ( |  | ) | const
| inline

bool libcdr::CDRInternalStream::isOLEStream | ( |  | ) |
| inline

CDRInternalStream& libcdr::CDRInternalStream::operator= | ( | const CDRInternalStream & |  | ) |
| private

const unsigned char * libcdr::CDRInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |

int libcdr::CDRInternalStream::seek | ( | long | offset,
|  | WPX_SEEK_TYPE | seekType
| ) |  |

long libcdr::CDRInternalStream::tell | ( |  | ) |

## Member Data Documentation

std::vector<unsigned char> libcdr::CDRInternalStream::m_buffer
| private

Referenced by CDRInternalStream(), and getSize().

volatile long libcdr::CDRInternalStream::m_offset
| private

The documentation for this class was generated from the following files:

- CDRInternalStream.h
- CDRInternalStream.cpp